import os

import testinfra.utils.ansible_runner


testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_git_is_installed(host):
    p = host.package("git")

    assert p.is_installed


def test_envsetup_repo(host):
    f = host.file("/root/envsetup")

    assert f.exists
    assert f.is_directory
    assert f.user == "root"
    assert f.group == "root"


def test_root_privkey(host):
    f = host.file("/root/.ssh/id_ed25519")

    assert f.exists
    assert f.is_file
    assert f.user == "root"
    assert f.group == "root"
    assert f.mode == 0o600


def test_root_pubkey(host):
    f = host.file("/root/.ssh/id_ed25519.pub")

    assert f.exists
    assert f.is_file
    assert f.user == "root"
    assert f.group == "root"
    assert f.mode == 0o644


def test_generated_conf_sh_file(host):
    f = host.file("/root/envsetup/auto-generated-conf.sh")

    assert f.exists
    assert f.is_file
    assert f.user == "root"
    assert f.group == "root"
    assert f.contains("Generated by")
    assert f.contains("SKYREACH_API_KEY=")


def test_conf_sh_file(host):
    f = host.file("/root/envsetup/conf.sh")

    assert f.exists
    assert f.is_file
    assert f.user == "root"
    assert f.group == "root"
